<script type="text/javascript">
$(document).ready(function(){	
	cari_itf();
	
	function cari_itf(){
		var no = 1;
		
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_kas").val(data.kas);
				$("#txt_piut").val(data.piut);
				$("#txt_utdg").val(data.utdg);
				$("#txt_utbg").val(data.utbg);
			}
		});
	}
	
	$('#form_cari_bb').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#cari_bb').click(function(){		
		$('#form_cari_bb').dialog('open');
		$("#txt_caribb").focus();		
	});
	
	$('#txt_caribb').keyup(function(){		
		var cari	= $("#txt_caribb").val();
		
		$.ajax({
			type	: "GET",
			url		: "modul/akun_bp/tampil_akun_bb.php",
			data	: "cari="+cari,			
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");
			},				  
			success	: function(data){
				$("#info_bb").html(data);				
			}
		});		
	});
		
	$("#txt_nobb").keyup(function(){
		var kode 	= $("#txt_nobb").val();
		var tkas 	= $("#txt_kas").val();
		var tpiut 	= $("#txt_piut").val();
		var tutdg 	= $("#txt_utdg").val();
		var tutbg 	= $("#txt_utbg").val();
		
		if(kode.length==5){
			if(kode==tkas){
				alert('Maaf, kode '+kode+' adalah akun Kas Besar, tidak bisa dibuat Buku Pembantu karena  dipakai untuk transaksi Kas.')
				return (false);
			}
			
			if(kode==tutdg){
				alert('Maaf, kode '+kode+' adalah akun Hutang Dagang, buku pembantunya dibuat lewat Data Supplier.')
				return (false);
			}
			
			if(kode==tutbg){
				alert('Maaf, kode '+kode+' adalah akun Hutang BG, buku pembantunya dibuat lewat Data Supplier.')
				return (false);
			}
		
			$.ajax({
				type	: "POST",
				url		: "modul/akun_bp/cari_bb.php",
				data	: "kode="+kode,
				dataType: "json",
				success	: function(data){
					$("#txt_nobb").val(kode);
					$("#txt_nabb").val(data.nabb);
					$("#txt_kode").val(data.tkode);
					$("#txt_tahun").val(data.ttahun);
					var tnabb = $("#txt_nabb").val();
				
					if(tnabb.length==0){
						alert('Kode buku besar '+kode+' tidak ditemukan.');
						return (false);
					}
					cari_nomor();
				}
			});
		}
	});
	
	function cari_nomor(){
		var kode = $("#txt_nobb").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/cari_nomor.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_noakun").val(data.nomor);
				$("#txt_noakun").focus();
			}
		});
	}
	
	$("#txt_noakun").keyup(function(){
		var nobb	= $("#txt_nobb").val();
		var noakun	= $("#txt_noakun").val();
		
		
		if(noakun.length==5){
			if(!(noakun==nobb)){
				alert('Maaf, Kode Akun harus sama dengan Kode Buku Besar.');
			}
		}
		
		if(noakun.length==5){
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/cari.php",
			data	: "noakun="+noakun,
			dataType: "json",
			success	: function(data){
				$("#txt_noakun").val(noakun);
				$("#txt_naakun").val(data.naakun);
				var naakun = $("#txt_naakun").val();
				
				if(!(naakun.length==0)){
					alert('Kode akun '+noakun+' sudah ada.');
					return (false);
				}
			}
		});
		}
	});
	
	$("#simpan").click(function(){
		simpan_data();		
	});

	function simpan_data(){
		var	tnobb	 = $("#txt_nobb").val();
		var	tnoakun= $("#txt_noakun").val();		
		var	tnaakun= $("#txt_naakun").val();		
		var	ttahun	 = $("#txt_tahun").val();
		var	tkode	 = $("#txt_kode").val();
		
		if(tnobb.length == 0){
			alert("Maaf, Kode buku besar masih kosong.");
			$("#txt_nobb").focus();
			return (false);
        }
		if(tnoakun.length == 0){
			alert("Maaf, Kode akun masing kosong.");
			$("#txt_noakun").focus();
			return (false);
        }
		if(tnaakun.length == 0){
			alert("Maaf, Nama akun tidak boleh kosong.");
			$("#txt_naakun").focus();
			return (false);
        }
		 
		$.ajax({
			type	: "POST",
			url		: "modul/akun_bp/simpan.php",
			data	: "tnobb="+tnobb+
					"&tnoakun="+tnoakun+
					"&tnaakun="+tnaakun+					
					"&tkode="+tkode+
					"&ttahun="+ttahun,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#akses").val(1);
				$(".input").val('');
				cari_nomor();
			}
		});
	}
	
	$("#keluar").click(function(){
		document.location='?module=home';
	});
});
</script>

<?php
include '../../inc/inc.koneksi.php';

echo "<input type='hidden' id='akses'>";

echo "<input type='text' name='txt_kas' id='txt_kas' size='5' hidden />
	<input type='text' name='txt_piut' id='txt_piut' size='5' hidden />
	<input type='text' name='txt_utdg' id='txt_utdg' size='5' hidden />	
	<input type='text' name='txt_tahun' id='txt_tahun' size='4' hidden />
	
	<table width='100%'>
	<tr>
		<td width='16%'>Kode Buku Besar</td>
		<td width='2%'>:</td>
		<td><input type='text' name='txt_nobb' id='txt_nobb' size='5' >
			<img src='images/view.png' width='18' height='18' title='Cari akun buku besar' id='cari_bb'></td>
		<td width='5%'></td>
		<td width='17%'>Nama Buku Besar</td>
		<td width='2%'>:</td>
		<td><input name='txt_nabb' id='txt_nabb' size='25' readonly /></td>		
	</tr>
	</table>
	<hr>
	
	<table width='56%'>
	<tr>
		<td width='28.5%'>Kode Akun</td>
		<td width='3.5%'>:</td>
		<td><input type='text' name='txt_noakun' id='txt_noakun' size='10' class='input'></td>
	</tr>
	<tr>
		<td>Nama Akun</td>
		<td>:</td>
		<td><input type='text' name='txt_naakun' id='txt_naakun' size='30' class='input'></td>
	</tr>
		
	<tr>
		<td>Saldo Normal</td>
		<td>:</td>
		<td><input type='text' name='txt_kode' id='txt_kode' size='1' readonly /></td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
			<button name='simpan' id='simpan'>Simpan</button>
			<button name='keluar' id='keluar'>Keluar</button>
		</td>
	</tr>
	</table>";

echo "<div id='form_cari_bb' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<td>
				<td>Cari kata : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</td>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";
?>